# `Localize.LanguageTag.Sigil`
[🔗](https://github.com/elixir-localize/localize/blob/v0.39.0/lib/localize/language_tag/sigil.ex#L1)

Implements a `sigil_l/2` macro for
constructing `t:Localize.LanguageTag` structs.

# `sigil_l`
*macro* 

Handles sigil `~l` for language tags.

## Arguments

* `locale_id` is a [BCP 47](https://unicode-org.github.io/cldr/ldml/tr35.html#Identifiers)
  locale identifier as a string.

## Options

* `u` Will parse the locale but will not add
  likely subtags or resolve the CLDR locale identifier.

## Returns

* a `t:Localize.LanguageTag.t/0` struct or

* raises an exception.

## Examples

    iex> import Localize.LanguageTag.Sigil
    iex> tag = ~l(en-US-u-ca-gregory)
    iex> tag.language
    :en

    iex> import Localize.LanguageTag.Sigil
    iex> tag = ~l(en)u
    iex> tag.requested_locale_id
    "en"

---

*Consult [api-reference.md](api-reference.md) for complete listing*
